Activity log for bug #1331569

Date Who What changed Old value New value Message
2014-06-18 17:16:23 sean mooney bug added bug
2014-06-18 17:17:08 sean mooney summary Open vSwitch Agent should use ovs_lib to list bridgesnot ip_lib Open vSwitch Agent should use ovs_lib to list bridges not ip_lib
2014-06-18 17:18:30 sean mooney description Problem description =================== In the Open vSwitch neutron agent, ip_lib is currently used to list the bridges. as userspace only vswiches do not create bridge local ports in the kernel ip_lib will not correctly detect the bridge configuration. Proposed Change ============== use of ip lib blocks reuse of the Open vSwitch agent with userspace only vswitchs. to enable this use case ovs_lib.get_bridges should be used instead. Problem description =================== In the Open vSwitch neutron agent, ip_lib is currently used to list the bridges. as userspace only vswiches do not create bridge local ports in the kernel ip_lib will not correctly detect the bridge configuration. Proposed Change ============== use of ip_lib blocks reuse of the Open vSwitch agent with userspace only open vSwitchs implementations. to enable this use case ovs_lib.get_bridges should be used instead.
2014-06-20 04:06:50 yong sheng gong neutron: status New Triaged
2014-06-20 04:06:52 yong sheng gong neutron: importance Undecided Low
2014-06-20 09:13:22 sean mooney neutron: assignee sean mooney (sean-k-mooney)
2014-06-23 17:46:34 OpenStack Infra neutron: status Triaged In Progress
2014-06-27 02:09:57 Kyle Mestery neutron: milestone juno-2
2014-06-30 17:54:01 OpenStack Infra neutron: status In Progress Fix Committed
2014-07-23 15:31:44 Russell Bryant neutron: status Fix Committed Fix Released
2014-10-16 09:09:44 Thierry Carrez neutron: milestone juno-2 2014.2